Package com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo

# Enum Class Type

java.lang.Object
java.lang.Enum<Type>
com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Type>`, `Constable`

public enum Type extends Enum<Type>
Document type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESS_CARD`
  `AFGHAN_CITIZEN_CARD`
  `ALIEN_ID`
  `ALIEN_PASSPORT`
  `ASIC_CARD`
  `ASYLUM_REQUEST`
  `BIDOON_CARD`
  `BORDER_CROSSING_CARD`
  `CITIZENSHIP_CERTIFICATE`
  `CONSULAR_ID`
  `CONSULAR_PASSPORT`
  `CONSULAR_VOTER_ID`
  `DL`
  `DL_PUBLIC_SERVICES_CARD`
  `DRIVER_CARD`
  `DRIVER_QUALIFICATION_CARD`
  `DRIVING_PRIVILEGE_CARD`
  `EID`
  `EMPLOYMENT_PASS`
  `EXIT_ENTRY_PERMIT`
  `FIN_CARD`
  `GLOBAL_ENTRY_CARD`
  `GREEN_CARD`
  `HEALTH_INSURANCE_CARD`
  `ID`
  `iKAD`
  `IMMIGRANT_VISA`
  `INTERIM_HEALTH_INSURANCE_CARD`
  `MAINLAND_TRAVEL_PERMIT_TAIWAN`
  `MILITARY_ID`
  `MINORS_ID`
  `MINORS_PASSPORT`
  `MINORS_PUBLIC_SERVICES_CARD`
  `MULTIPURPOSE_ID`
  `MY_NUMBER_CARD`
  `MyKad`
  `MyKAS`
  `MyKid`
  `MyPolis`
  `MyPR`
  `MyTentera`
  `NBI_CLEARANCE`
  `NEXUS_CARD`
  `NON_VOTER_ID`
  `NONE`
  `PAN_CARD`
  `PASS`
  `PASSPORT`
  `PASSPORT_CARD`
  `POSTAL_ID`
  `PROFESSIONAL_DL`
  `PROFESSIONAL_ID`
  `PROOF_OF_AGE_CARD`
  `PROOF_OF_REGISTRATION`
  `PROVISIONAL_DL`
  `PUBLIC_SERVICES_CARD`
  `RECIPROCAL_HEALTH_INSURANCE_CARD`
  `REFUGEE_ID`
  `REFUGEE_PASSPORT`
  `RESIDENCE_PERMIT`
  `RESIDENT_ID`
  `S_PASS`
  `SIS_ID`
  `SOCIAL_SECURITY_CARD`
  `SPECIAL_ID`
  `TAX_ID`
  `TEMPORARY_PROTECTION_PERMIT`
  `TEMPORARY_RESIDENCE_PERMIT`
  `TRIBAL_ID`
  `TWIC_CARD`
  `UNIFORMED_SERVICES_ID`
  `VEHICLE_REGISTRATION`
  `VETERAN_ID`
  `VISA`
  `VOTER_ID`
  `WEAPON_PERMIT`
  `WORK_PERMIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Type NONE

  - ### CONSULAR_ID

    public static final Type CONSULAR_ID

  - ### DL

    public static final Type DL

  - ### DL_PUBLIC_SERVICES_CARD

    public static final Type DL_PUBLIC_SERVICES_CARD

  - ### EMPLOYMENT_PASS

    public static final Type EMPLOYMENT_PASS

  - ### FIN_CARD

    public static final Type FIN_CARD

  - ### ID

    public static final Type ID

  - ### MULTIPURPOSE_ID

    public static final Type MULTIPURPOSE_ID

  - ### MyKad

    public static final Type MyKad

  - ### MyKid

    public static final Type MyKid

  - ### MyPR

    public static final Type MyPR

  - ### MyTentera

    public static final Type MyTentera

  - ### PAN_CARD

    public static final Type PAN_CARD

  - ### PROFESSIONAL_ID

    public static final Type PROFESSIONAL_ID

  - ### PUBLIC_SERVICES_CARD

    public static final Type PUBLIC_SERVICES_CARD

  - ### RESIDENCE_PERMIT

    public static final Type RESIDENCE_PERMIT

  - ### RESIDENT_ID

    public static final Type RESIDENT_ID

  - ### TEMPORARY_RESIDENCE_PERMIT

    public static final Type TEMPORARY_RESIDENCE_PERMIT

  - ### VOTER_ID

    public static final Type VOTER_ID

  - ### WORK_PERMIT

    public static final Type WORK_PERMIT

  - ### iKAD

    public static final Type iKAD

  - ### MILITARY_ID

    public static final Type MILITARY_ID

  - ### MyKAS

    public static final Type MyKAS

  - ### SOCIAL_SECURITY_CARD

    public static final Type SOCIAL_SECURITY_CARD

  - ### HEALTH_INSURANCE_CARD

    public static final Type HEALTH_INSURANCE_CARD

  - ### PASSPORT

    public static final Type PASSPORT

  - ### S_PASS

    public static final Type S_PASS

  - ### ADDRESS_CARD

    public static final Type ADDRESS_CARD

  - ### ALIEN_ID

    public static final Type ALIEN_ID

  - ### ALIEN_PASSPORT

    public static final Type ALIEN_PASSPORT

  - ### GREEN_CARD

    public static final Type GREEN_CARD

  - ### MINORS_ID

    public static final Type MINORS_ID

  - ### POSTAL_ID

    public static final Type POSTAL_ID

  - ### PROFESSIONAL_DL

    public static final Type PROFESSIONAL_DL

  - ### TAX_ID

    public static final Type TAX_ID

  - ### WEAPON_PERMIT

    public static final Type WEAPON_PERMIT

  - ### VISA

    public static final Type VISA

  - ### BORDER_CROSSING_CARD

    public static final Type BORDER_CROSSING_CARD

  - ### DRIVER_CARD

    public static final Type DRIVER_CARD

  - ### GLOBAL_ENTRY_CARD

    public static final Type GLOBAL_ENTRY_CARD

  - ### MyPolis

    public static final Type MyPolis

  - ### NEXUS_CARD

    public static final Type NEXUS_CARD

  - ### PASSPORT_CARD

    public static final Type PASSPORT_CARD

  - ### PROOF_OF_AGE_CARD

    public static final Type PROOF_OF_AGE_CARD

  - ### REFUGEE_ID

    public static final Type REFUGEE_ID

  - ### TRIBAL_ID

    public static final Type TRIBAL_ID

  - ### VETERAN_ID

    public static final Type VETERAN_ID

  - ### CITIZENSHIP_CERTIFICATE

    public static final Type CITIZENSHIP_CERTIFICATE

  - ### MY_NUMBER_CARD

    public static final Type MY_NUMBER_CARD

  - ### CONSULAR_PASSPORT

    public static final Type CONSULAR_PASSPORT

  - ### MINORS_PASSPORT

    public static final Type MINORS_PASSPORT

  - ### MINORS_PUBLIC_SERVICES_CARD

    public static final Type MINORS_PUBLIC_SERVICES_CARD

  - ### DRIVING_PRIVILEGE_CARD

    public static final Type DRIVING_PRIVILEGE_CARD

  - ### ASYLUM_REQUEST

    public static final Type ASYLUM_REQUEST

  - ### DRIVER_QUALIFICATION_CARD

    public static final Type DRIVER_QUALIFICATION_CARD

  - ### PROVISIONAL_DL

    public static final Type PROVISIONAL_DL

  - ### REFUGEE_PASSPORT

    public static final Type REFUGEE_PASSPORT

  - ### SPECIAL_ID

    public static final Type SPECIAL_ID

  - ### UNIFORMED_SERVICES_ID

    public static final Type UNIFORMED_SERVICES_ID

  - ### IMMIGRANT_VISA

    public static final Type IMMIGRANT_VISA

  - ### CONSULAR_VOTER_ID

    public static final Type CONSULAR_VOTER_ID

  - ### TWIC_CARD

    public static final Type TWIC_CARD

  - ### EXIT_ENTRY_PERMIT

    public static final Type EXIT_ENTRY_PERMIT

  - ### MAINLAND_TRAVEL_PERMIT_TAIWAN

    public static final Type MAINLAND_TRAVEL_PERMIT_TAIWAN

  - ### NBI_CLEARANCE

    public static final Type NBI_CLEARANCE

  - ### PROOF_OF_REGISTRATION

    public static final Type PROOF_OF_REGISTRATION

  - ### TEMPORARY_PROTECTION_PERMIT

    public static final Type TEMPORARY_PROTECTION_PERMIT

  - ### AFGHAN_CITIZEN_CARD

    public static final Type AFGHAN_CITIZEN_CARD

  - ### EID

    public static final Type EID

  - ### PASS

    public static final Type PASS

  - ### SIS_ID

    public static final Type SIS_ID

  - ### ASIC_CARD

    public static final Type ASIC_CARD

  - ### BIDOON_CARD

    public static final Type BIDOON_CARD

  - ### INTERIM_HEALTH_INSURANCE_CARD

    public static final Type INTERIM_HEALTH_INSURANCE_CARD

  - ### NON_VOTER_ID

    public static final Type NON_VOTER_ID

  - ### RECIPROCAL_HEALTH_INSURANCE_CARD

    public static final Type RECIPROCAL_HEALTH_INSURANCE_CARD

  - ### VEHICLE_REGISTRATION

    public static final Type VEHICLE_REGISTRATION

- ## Method Details

  - ### values

    public static Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null